<?php

namespace App\Models;

use Illuminate\Notifications\Notifiable;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

use Spatie\Permission\Traits\HasRoles;
use Laravel\Sanctum\HasApiTokens;


class User extends Authenticatable
{
    use  HasApiTokens, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */

   protected $table = 'user_api';

    protected $fillable = [
	        'id','name', 'email','email_verified_at','password','remember_token','created_at','updated_at'
	    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'clie_password',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */

}
